/**
 * 	\file		Exception.cpp
 *  \author:    Joshua J Bialkowski (jbialk@mit.edu)
 *  \date:      Oct 28, 2009
 *  \brief:
 *
 *  detail:
 */

// simple file localization in error strings
#define STRINGIFY(x) #x
#define TOSTRING(x) STRINGIFY(x)
#define HERE " in "__FILE__ " at line " TOSTRING(__LINE__)

#include <sstream>
#include "Exception.h"

namespace txduino
{


Exception::Exception( const char *message )
    throw() :
        message(message)
{}








Exception::Exception( const std::string& message )
    throw() :
        message(message)
{}










Exception::~Exception()
    throw()
{
}










const char *Exception::what()
    throw()
{
    std::string output;

    output+= getClassName();
    output+= ": ";
    output+= message;

    return output.c_str();
}





const char *Exception::getClassName()
    throw()
{
    return "Exception";
}


}
